<div class="card mb-2 bm-shop-by-price">
  <div class="card-header">
    <?php echo '<a href="' . $Linker->build('shop_by_price.php') . '">' . MODULE_BOXES_SHOP_BY_PRICE_BOX_TITLE . '</a>'; ?>
  </div>
  <div class="card-body">
<?php 
    if (MODULE_BOXES_SHOP_BY_PRICE_DROP_DOWN == 'Dropdown') {
      echo $form->hide_session_id();
      echo (new Select('range', $price_range_list, ['onchange' => 'this.form.submit();',  'size' => '1', 'style' => 'width: 100%']))->set_selection($range);
      echo '</form>';
    } else {
      for ($range=0; $range<sizeof($price_ranges); $range++) {
        echo '<div class="list-group">' . new Button($price_ranges[$range], '', 'btn-sm list-group-item list-group-item-action', [], $Linker->build('shop_by_price.php')->retain_query_except(['range'])->set_parameter('lrange', $range)) . '</div>';
      }
    }
?>
  </div>
</div>

<?php
/*
  2020 Shop by Price 5.3.0 CE Phoenix
  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  Copyright (c) 2020 Rainer Schmied
  All rights reserved.

  Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
?>
